Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2.xpath10.jaxp
Class JaxpXPath10ExpressionCompilerBPEL11

    java.lang.Object
      org.apache.ode.bpel.compiler.v2.xpath10.jaxp.JaxpXPath10ExpressionCompilerImpl
          org.apache.ode.bpel.compiler.v2.xpath10.jaxp.JaxpXPath10ExpressionCompilerBPEL11

All Implemented Interfaces:
  ExpressionCompiler

    public class JaxpXPath10ExpressionCompilerBPEL11

extends JaxpXPath10ExpressionCompilerImpl

JAXP based XPath 1.0 expression compiler for BPEL v1.1.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.v2.xpath10.jaxp.JaxpXPath10ExpressionCompilerImpl
`_compilerContext, _properties, _qnFnGetLinkStatus, _qnFnGetVariableData, _qnFnGetVariableProperty`

Constructor Summary
`JaxpXPath10ExpressionCompilerBPEL11()`

Method Summary
`OExpression` | `compile(java.lang.Object source)` Compile an expression into a `OExpression` object.
`OExpression` | `compileJoinCondition(java.lang.Object source)` Compile a join condition into a `OExpression` object.
`OLValueExpression` | `compileLValue(java.lang.Object source)` Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.

Methods inherited from class org.apache.ode.bpel.compiler.v2.xpath10.jaxp.JaxpXPath10ExpressionCompilerImpl
`doJaxpCompile, getProperties, setCompilerContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxpXPath10ExpressionCompilerBPEL11

    public JaxpXPath10ExpressionCompilerBPEL11()

Method Detail

### compileJoinCondition

    public OExpression compileJoinCondition(java.lang.Object source)
                                     throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile a join condition into a `OExpression` object.

  Returns:
  Throws:
    `CompilationException`
  See Also:
    `ExpressionCompiler.compileJoinCondition(java.lang.Object)`

### compileLValue

    public OLValueExpression compileLValue(java.lang.Object source)
                                    throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.

  Returns:
  Throws:
    `CompilationException`

### compile

    public OExpression compile(java.lang.Object source)
                        throws CompilationException

  Description copied from interface: `ExpressionCompiler`
  Compile an expression into a `OExpression` object.

  Returns:
  Throws:
    `CompilationException`
  See Also:
    `ExpressionCompiler.compile(java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD